diff --git a/configure.ac b/configure.ac
index 922e7c4..15a21e9 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1513,7 +1513,21 @@ AST_EXT_LIB_CHECK([SS7], [ss7], [ss7_pollflags], [libss7.h])
 
 AST_EXT_LIB_CHECK([OPENR2], [openr2], [openr2_chan_new], [openr2.h])
 
-if test "${USE_PWLIB}" != "no"; then
+
+PKGCONFIG="${PKGCONFIG:-pkg-config}"
+if ${PKGCONFIG} --exists opal; then
+	PWLIB_INCLUDE=
+	PWLIB_LIB=
+	PBX_PWLIB=1
+	PTLIB_CONFIG=:
+	OPENH323_INCLUDE=`${PKGCONFIG} --cflags opal`
+	OPENH323_LIB=`${PKGCONFIG} --libs opal`
+	AST_EXT_LIB_CHECK([OPENH323], [opal], [OpalShutDown], [opal/opal.h])
+	PBX_OPAL=1
+
+	AC_DEFINE([HAVE_OPAL], 1, [Define if your system uses Opal for h323 support.])
+fi
+if test "${PBX_OPAL}" != 1 && test "${USE_PWLIB}" != "no"; then
 	if test -n "${PWLIB_DIR}"; then
 		PWLIBDIR="${PWLIB_DIR}"
 	fi
@@ -1532,7 +1546,7 @@ if test "${USE_PWLIB}" != "no"; then
 	fi
 fi
 
-if test "${PBX_PWLIB}" = "1" -a "${USE_OPENH323}" != "no" ; then
+if test "${PBX_OPAL}" != 1 && test "${PBX_PWLIB}" = "1" -a "${USE_OPENH323}" != "no" ; then
 	if test -n "${OPENH323_DIR}"; then
 		OPENH323DIR="${OPENH323_DIR}"
 	fi
